%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name json
%define f_pkg_name json
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 0.4.4
Release: alt2.1
License: BSD3
Packager: Vitaly Kuznetsov <vitty@altlinux.ru>
Group: Development/Haskell
URL: http://hackage.haskell.org/package/json
Source: %name-%version.tar
Summary: Support for serialising Haskell to and from JSON
BuildRequires: ghc ghc-mtl ghc-syb
BuildRequires(pre): rpm-build-haskell



%description
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It is easy for humans to read and write. It is easy for machines to parse
and generate. It is based on a subset of the JavaScript Programming
Language, Standard ECMA-262 3rd Edition - December 1999.

This library provides a parser and pretty printer for converting between
Haskell values and JSON.

%prep
%setup

%build
%hs_configure2
%hs_build

%install
%hs_install
%hs_gen_filelist

cd %buildroot%_datadir/doc/%name-%version
rm -rf doc LICENSE examples

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html
#%%doc LICENSE examples

%changelog
* Sat Aug 13 2011 Denis Smirnov <mithraen@altlinux.ru> 0.4.4-alt2.1
- rebuild with shared objects support

* Wed Aug 03 2011 Vitaly Kuznetsov <vitty@altlinux.ru> 0.4.4-alt2
- enable JSON/Generic build

* Wed Aug 03 2011 Vitaly Kuznetsov <vitty@altlinux.ru> 0.4.4-alt1
- Spec created by cabal2rpm 0.20_08
